Skip to main content
GET
/
workflows
/
v1
/
workflow-runs
/
{workflow_run_id}
Get Workflow Run
curl --request GET \
  --url https://api-qa.interactly.ai/workflows/v1/workflow-runs/{workflow_run_id} \
  --header 'Authorization: Bearer <token>'
{
  "workflow_run": {
    "team_id": "<string>",
    "created_by": "<string>",
    "updated_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "_id": "5eb7cf5a86d9755df3a6c593",
    "workflow_run": {
      "logical_id": "<string>",
      "workflow_id": "<string>",
      "version_number": 0,
      "status": "not_started",
      "termination_source": "<string>",
      "input_output_pairs": [
        {
          "run_input": {
            "dynamic_variables": {},
            "runtime_variables": {},
            "miscellaneous": {},
            "command": "start",
            "workflow_id": "<string>",
            "version_number": 0,
            "run_by": "<string>",
            "workflow_run_id": "<string>",
            "team_id": "<string>",
            "thread_to_node_inputs": {}
          },
          "run_output": {
            "events": [
              "<unknown>"
            ],
            "thread_to_node_outputs": {}
          },
          "evaluation": {}
        }
      ],
      "run_by": "<string>",
      "comments": [
        {
          "logical_id": "<string>",
          "content": "<string>",
          "createdBy": "5eb7cf5a86d9755df3a6c593",
          "updatedBy": "5eb7cf5a86d9755df3a6c593",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "llm_token_usage": {
        "total_input_tokens": 0,
        "total_output_tokens": 0,
        "total_tokens": 0,
        "call_count_with_user_keys": 0,
        "call_count_with_fallback_keys": 0,
        "call_count": 0,
        "breakdown_by_models": [
          {
            "response_model": "<string>",
            "provider": "<string>",
            "total_input_tokens": 0,
            "total_output_tokens": 0,
            "total_tokens": 0,
            "call_count_with_user_keys": 0,
            "call_count_with_fallback_keys": 0,
            "call_count": 0
          }
        ]
      },
      "llm_latency_stats": {
        "call_count": 0,
        "total_latency_milliseconds": 0,
        "average_latency_milliseconds": 0,
        "breakdown_by_models": [
          {
            "response_model": "<string>",
            "provider": "<string>",
            "call_count": 0,
            "total_latency_milliseconds": 0,
            "average_latency_milliseconds": 0
          }
        ]
      },
      "version_name": "Initial Version",
      "workflow_config_fully_hydrated": {
        "workflow_config": {
          "logical_id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "category": "User Created",
          "llms_config": {
            "logical_id": "llm_da2e5b0f-b9ac-48c6-84a3-3901c7bc9e2b",
            "provider": "default_provider",
            "streaming": false,
            "model_kwargs": {},
            "do_not_split_sentences": false,
            "type": "global_default_llm"
          },
          "main_response_config": {
            "prompt": "<string>"
          },
          "backchannel_response_config": {
            "prompt": "<string>"
          },
          "default_prompt_prefix": "<string>",
          "default_prompt_suffix": "<string>",
          "tools_config": {
            "tools": [
              {
                "logical_id": "<string>",
                "tool_id": "<string>",
                "name": "<string>",
                "description": "<string>",
                "category": "<string>",
                "signature": "<string>",
                "args_schema": {},
                "static_messages_config": {
                  "static_messages": [
                    "<string>"
                  ],
                  "static_messages_selection_mode": "random"
                },
                "result_runtime_variable_name": "tool_result",
                "type": "inline_python",
                "code": "<string>"
              }
            ]
          },
          "mcp_servers": [
            {
              "server_url": "<string>",
              "name": "<string>",
              "api_headers": {}
            }
          ],
          "global_condition_evaluation_method": "tool_call",
          "nodes": [
            "<string>"
          ],
          "edges": [
            "<string>"
          ],
          "evaluation_config": {
            "evaluator_workflow_id": "<string>",
            "evaluator_workflow_version_number": 123,
            "enable_turn_by_turn_evaluation": false
          },
          "miscellaneous": {}
        },
        "node_configs": [
          {
            "logical_id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "workflow_id": "<string>",
            "version_number": 0,
            "disabled": false,
            "miscellaneous": {},
            "primary_category": "System",
            "secondary_category": "LLM",
            "is_start": false,
            "global_node_config": {
              "is_global": false,
              "condition": {
                "condition_freeform": "<string>",
                "condition_expression": "<string>",
                "args_schema": {},
                "static_messages_config": {
                  "static_messages": [
                    "<string>"
                  ],
                  "static_messages_selection_mode": "random"
                }
              }
            },
            "main_response_config": {
              "prompt": "<string>"
            },
            "llms_config": {
              "logical_id": "llm_424abb2b-48cd-4cbe-b994-cde847de2c24",
              "provider": "default_provider",
              "streaming": false,
              "model_kwargs": {},
              "do_not_split_sentences": false,
              "type": "global_default_llm"
            },
            "tools_config": {
              "tools": [
                {
                  "logical_id": "<string>",
                  "tool_id": "<string>",
                  "name": "<string>",
                  "description": "<string>",
                  "category": "<string>",
                  "signature": "<string>",
                  "args_schema": {},
                  "static_messages_config": {
                    "static_messages": [
                      "<string>"
                    ],
                    "static_messages_selection_mode": "random"
                  },
                  "result_runtime_variable_name": "tool_result",
                  "type": "inline_python",
                  "code": "<string>"
                }
              ]
            },
            "self_loop": false,
            "wait_for_user_message": true,
            "max_consecutive_tool_calls": 1,
            "default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
            "use_mcp_tools": false,
            "type": "worker_llm",
            "structured_output_schema": {},
            "backchannel_response_config": {
              "prompt": "<string>"
            }
          }
        ],
        "edge_configs": [
          {
            "logical_id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "workflow_id": "<string>",
            "version_number": 0,
            "disabled": false,
            "miscellaneous": {},
            "source_node_logical_id": "<string>",
            "destination_node_logical_id": "<string>",
            "type": "direct"
          }
        ],
        "dynamic_variables": {},
        "runtime_variables": {}
      },
      "workflow_run_id": "<string>",
      "source_workflow_run_id": "<string>",
      "is_evaluation_run": false,
      "evaluation_run_info": {
        "evaluation_workflow_run_id": "<string>"
      }
    },
    "debug_info": {}
  }
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

workflow_run_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

Response model for a single workflow run. Contains a WorkflowRunsModel object.

workflow_run
WorkflowRunsModel · object
required

Single workflow run object